Poll eval run

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request parameters

ParameterTypeRequiredInDescription
AuthorizationstringYesHeaderPartner app token, sent raw. Bearer <token> is also accepted.
appIdstring (uuid)YesPathPartner Portal app id. Stands in for Meta's entity_id.
job_idstringYesQueryJob id from POST /agent-eval/run.

Example request

curl --location --request GET 'https://partner.gupshup.io/partner/app/<appId>/bizai/agent-eval/run?job_id=pfbid0EvalJobExampleId' \
  --header 'Authorization: <PARTNER_APP_TOKEN>'

Response parameters — 200

ParameterTypeDescription
statusstringOne of: QUEUED, RUNNING, COMPLETED, FAILED.
progressobjectHow far the run has got.
progress.completedintegerCases finished.
progress.totalintegerCases in the run.
progress.current_stagestringOne of: simulation, evaluation, insights, done.
resultobjectPresent when COMPLETED.
result.idstringResource id.
result.summary_idstringSummary id, for GET /agent-eval/summary.
result.avg_conversation_scorenumberRange 1–5.
result.avg_turn_scorenumberRange 1–5.
result.summarystringNarrative summary.
result.highlightsstringJSON string
result.top_failure_categoriesstringJSON string
result.eval_ids_by_scorestringJSON string
result.creation_timeintegerCreation time, Unix seconds.
result.update_timeintegerLast update time, Unix seconds.
errorobjectPresent when FAILED.
error.codestringe.g. SIMULATION_FAILED.
error.messagestringThe outbound message as sent.
error.failed_case_idsarray of stringCases that failed.

Example response — 200 OK

{
  "status": "COMPLETED",
  "progress": {
    "completed": 2,
    "total": 2,
    "current_stage": "done"
  },
  "result": {
    "summary_id": "pfbid0SummaryExampleId",
    "avg_conversation_score": 4.2,
    "avg_turn_score": 4.4,
    "summary": "Agent resolved most refund requests; escalations were slow.",
    "highlights": "[\"Fast first response\"]",
    "top_failure_categories": "[\"missing_context\"]",
    "eval_ids_by_score": "{\"4\": [\"pfbid0EvaluationExampleId\"]}",
    "creation_time": 1789630852,
    "update_time": 1789631152
  }
}

Error responses

400 Bad Request — The app is not live, or WASS does not consider it live.

{
  "message": "App is not live.",
  "status": "error"
}

400 Bad Request — The app has no phone number attached. Checked before the live check.

{
  "message": "Phone id not found for the given App",
  "status": "error"
}

401 Unauthorized — Authorization is missing or invalid, belongs to another app, or appId is unknown or not a UUID.

{
  "status": "error",
  "message": "Unauthorised access to the resource. Please review request parameters and headers and retry"
}

405 Method Not Allowed — Any method other than GET, POST, PUT or DELETE, e.g. PATCH.

{
  "status": "error",
  "message": "Request method 'PATCH' is not supported"
}

429 Too Many Requests — More than 30 /bizai/** requests in 60 seconds for this app. The 31st is rejected.

{
  "status": "error",
  "message": "Too Many Requests"
}
Path Params
uuid
required

Partner Portal app id. Stands in for Meta's entity_id.

Query Params
string
required

Job id from POST /agent-eval/run.

Responses

429

Per-app rate limit exceeded. Retry after the 60-second window.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json